Bug 1733814 - Attempting to benchmark disc terminates udisks2
Summary: Attempting to benchmark disc terminates udisks2
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: udisks2
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-28 22:07 UTC by James
Modified: 2020-08-17 17:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description James 2019-07-28 22:07:14 UTC
Description of problem:
Attempting to benchmark a device using Gnome Disks causes udisks2 to SIGTERM.

Version-Release number of selected component (if applicable):
udisks2-2.8.2-1.fc30.x86_64
gnome-disk-utility-3.32.1-2.fc30.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Attach/insert device to benchmark (in this particular case an SD card on /dev/mmcblk0).
2. Open Gnome Disks.
3. Select the device, open Benchmark.
4. Click Start Benchmark, then Start Benchmarking.
5. Enter admin password when prompted.

Actual results:
Message box 'Remote peer disconnected (g-dbus-error-quark, 4)'.

In the system journal: 'udisks2.service: Main process exited, code=killed, status=15/TERM'

udisks2 is dead at this point -- newly-attached devices aren't noticed, at least until Gnome Disks is restarted.

Expected results:
Benchmark begins. Other disks and udisks2 operations unaffected.

Comment 1 Tomáš Bžatek 2019-07-29 08:53:58 UTC
Please retest with https://bodhi.fedoraproject.org/updates/FEDORA-2019-65574a0e7a

Comment 2 James 2019-07-29 19:41:01 UTC
Still present with

udisks2-2.8.4-1.fc30.x86_64
libudisks2-2.8.4-1.fc30.x86_64
udisks2-iscsi-2.8.4-1.fc30.x86_64

Comment 3 Tomáš Bžatek 2019-07-30 07:16:52 UTC
Interesting, thanks for the test. Could you try finding related udisks2.service messages within the system journal? Something that would indicate an error. Alternatively please have a look at the output of coredumpctl if there's a coredump of udisksd and attach a backtrace here if so.

Comment 4 James 2019-07-30 07:31:31 UTC
Can't see anything incriminating in journalctl -u udisks2. When I ran udisksd -d on the console all I got was:

udisks-Message: 08:21:51.191: udisks daemon version 2.8.4 starting
udisks-Message: 08:21:51.474: Acquired the name org.freedesktop.UDisks2 on the system message bus
Terminated

Nothing in coredumpctl. I tried under gdb but got nothing more than the above.

Comment 5 Ben Cotton 2020-04-30 21:27:46 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Alex Villacís Lasso 2020-05-16 21:51:49 UTC
This bug persists in Fedora 32 Live ISO when attempting to benchmark an internal drive on an M-Book Speedmind netbook.

Comment 7 Tomáš Bžatek 2020-05-18 10:07:33 UTC
(In reply to Alex Villacís Lasso from comment #6)
> This bug persists in Fedora 32 Live ISO when attempting to benchmark an
> internal drive on an M-Book Speedmind netbook.

Great! Can you please grab a backtrace and post it here? Please check `coredumpctl` if there were any crashes. Also ABRT I think could be useful here.

Comment 8 James 2020-08-17 16:30:00 UTC
I'm not currently seeing this with udisks2-2.8.4-4.fc32 -- how about you Alex?

Comment 9 Alex Villacís Lasso 2020-08-17 16:50:37 UTC
I am still experiencing this with udisks2-2.8.4-4.fc32 . In my case, the block device is an internal flash device that shows up as a SD card reader, yet is the device from which the system boots up.

Comment 10 Alex Villacís Lasso 2020-08-17 16:58:14 UTC
BTW, there is absolutely no mention of udiskd crashing at all from the coredumpctl listing, or any ABRT report. It looks as if the program simply decides to terminate normally.

Comment 11 Alex Villacís Lasso 2020-08-17 17:00:43 UTC
I have reproduced this with a different card reader, that shows up as /dev/mmcblk1. The boot device shows up as /dev/mmcblk0. But card readers exposed via USB that show up as /dev/sdX do NOT trigger the bug.


Note You need to log in before you can comment on or make changes to this bug.